This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 816908 - Bpm5Processor does not map BPM parameters on SIGNAL_EVENT.
Bpm5Processor does not map BPM parameters on SIGNAL_EVENT.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity high
: ER4
: 5.3.0 GA
Assigned To: tcunning
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 05:42 EDT by Marek Baluch
Modified: 2015-03-12 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Bug Fix
Doc Text:
Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. This means that parameters added by users will be ignored. This is resolved by mapping the parameters and passing them in a signalEvent. As a result, user-defined parameters will now take affect.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3792 Major Closed Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. 2012-10-17 05:01:50 EDT

  None (edit)
Description Marek Baluch 2012-04-27 05:42:34 EDT
Description of problem:

See linked external issue.
Comment 3 JBoss JIRA Server 2012-06-07 17:21:30 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3792 to Resolved
Comment 4 JBoss JIRA Server 2012-06-07 17:21:30 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3792

Map parameters and pass them in a signalEvent.
Comment 5 JBoss JIRA Server 2012-06-07 17:21:37 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3792 to Closed
Comment 6 tcunning 2012-06-07 17:26:03 EDT
bananastand:jbpm5 tcunning$ svn commit
Sending        jbpm5/src/main/java/org/jboss/soa/esb/services/jbpm5/actions/Bpm5Processor.java
Transmitting file data .
Committed revision 38120.
bananastand:jbpm5 tcunning$
Comment 7 Suz 2012-06-13 00:40:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. This is resolved by mapping the parameters and passing them in a signalEvent.
Comment 8 David Le Sage 2012-06-13 23:38:09 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. This is resolved by mapping the parameters and passing them in a signalEvent.+Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. These means that parameters users add will be ignored.  This is resolved by mapping the parameters and passing them in a signalEvent. As a result, user-defined parameters will now take affect.
Comment 9 David Le Sage 2012-06-13 23:38:43 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. These means that parameters users add will be ignored.  This is resolved by mapping the parameters and passing them in a signalEvent. As a result, user-defined parameters will now take affect.+Bpm5Processor does not map BPM parameters on SIGNAL_EVENT. This means that parameters added by users will be ignored.  This is resolved by mapping the parameters and passing them in a signalEvent. As a result, user-defined parameters will now take affect.
Comment 10 Marek Baluch 2012-06-21 11:31:47 EDT
Verified on 5.3 ER4.

Parameters are now accessible in the process as an object of type java.util.Map and can processed inside a script task.

Note You need to log in before you can comment on or make changes to this bug.